// DlgDriveSelect.cpp : インプリメンテーション ファイル
//

#include "stdafx.h"
#include "MCS.h"
#include "DlgDriveSelect.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDlgDriveSelect ダイアログ


CDlgDriveSelect::CDlgDriveSelect(CWnd* pParent /*=NULL*/)
	: CDialog(CDlgDriveSelect::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDlgDriveSelect)
		// メモ - ClassWizard はこの位置にマッピング用のマクロを追加または削除します。
	//}}AFX_DATA_INIT
}


void CDlgDriveSelect::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgDriveSelect)
		// メモ - ClassWizard はこの位置にマッピング用のマクロを追加または削除します。
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDlgDriveSelect, CDialog)
	//{{AFX_MSG_MAP(CDlgDriveSelect)
	ON_BN_CLICKED(IDC_DRIVE_RADIO1, OnDriveRadio1)
	ON_BN_CLICKED(IDC_DRIVE_RADIO2, OnDriveRadio2)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDlgDriveSelect メッセージ ハンドラ

void CDlgDriveSelect::OnDriveRadio1() 
{
	// TODO: この位置にコントロール通知ハンドラ用のコードを追加してください
	m_installDriveSetting = 'C';
	
}

void CDlgDriveSelect::OnDriveRadio2() 
{
	// TODO: この位置にコントロール通知ハンドラ用のコードを追加してください
	m_installDriveSetting = 'E';
	
}

BOOL CDlgDriveSelect::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: この位置に初期化の補足処理を追加してください

	switch(m_installDriveSetting){
		case 'C':
			CheckRadioButton(IDC_DRIVE_RADIO1, IDC_DRIVE_RADIO2, IDC_DRIVE_RADIO1);	// Terminal
			break;
		case 'E':
			CheckRadioButton(IDC_DRIVE_RADIO1, IDC_DRIVE_RADIO2, IDC_DRIVE_RADIO2);	// Memory Card
			break;
		default:
			CheckRadioButton(IDC_DRIVE_RADIO1, IDC_DRIVE_RADIO2, IDC_DRIVE_RADIO2);	// Memory Card
			m_installDriveSetting = 'E';
			break;
	}

	return TRUE;  // コントロールにフォーカスを設定しないとき、戻り値は TRUE となります
	              // 例外: OCX プロパティ ページの戻り値は FALSE となります
}


void CDlgDriveSelect::OnOK() 
{
	// TODO: この位置にその他の検証用のコードを追加してください
	if(m_installDriveSetting != 'C' && m_installDriveSetting != 'E'){
		m_installDriveSetting = 'E';
	}

	CDialog::OnOK();
}

